var e = require("../../common/vendor.js"),
  t = require("../../enums/index.js"),
  n = {
    __name: "index",
    props: {
      data: { type: Array, default: [] },
      type: { type: String, default: "" },
    },
    setup: function (n) {
      return function (a, r) {
        return {
          a: e.f(n.data, function (a, r, i) {
            return e.e(
              { a: r !== n.data.length - 1 && n.data.length > 1 },
              (r !== n.data.length - 1 && n.data.length, {}),
              n.type === e.unref(t.TimeLineEnum).MILEAGE
                ? e.e(
                    {
                      b: e.t(a.date),
                      c: e.t(a.mile),
                      d: a.important ? 1 : "",
                      e: a.important,
                    },
                    (a.important, {}),
                    { f: r === n.data.length - 1 ? 1 : "" }
                  )
                : {},
              n.type === e.unref(t.TimeLineEnum).RECORD
                ? e.e(
                    { g: e.t(a.date), h: a.amount },
                    a.amount ? { i: e.t(a.amount) } : {},
                    { j: a.mile },
                    a.mile ? { k: e.t(a.mile) } : {},
                    { l: a.detail || a.other },
                    a.detail || a.other
                      ? { m: e.t(a.detail || "-"), n: e.t(a.other || "-") }
                      : {},
                    { o: a.type || a.remark },
                    a.type || a.remark
                      ? { p: e.t(a.type || "-"), q: e.t(a.remark || "-") }
                      : {}
                  )
                : {},
              n.type === e.unref(t.TimeLineEnum).VIOLATION
                ? {
                    r: e.t(a.date),
                    s: e.t(a.location),
                    t: e.t(a.reason),
                    v: e.t(a.score),
                    w: e.t(a.pay),
                  }
                : {},
              { x: r }
            );
          }),
          b: n.type === e.unref(t.TimeLineEnum).MILEAGE,
          c: n.type === e.unref(t.TimeLineEnum).RECORD,
          d: n.type === e.unref(t.TimeLineEnum).VIOLATION,
        };
      };
    },
  },
  a = e._export_sfc(n, [["__scopeId", "data-v-03179962"]]);
wx.createComponent(a);
